{#
/**
 * @file
 * Default theme implementation to display a taxonomy term.
 *
 * Available variables:
 * - url: URL of the current term.
 * - name: (optional) Name of the current term.
 * - content: Items for the content of the term (fields and description).
 *   Use 'content' to print them all, or print a subset such as
 *   'content.description'. Use the following code to exclude the
 *   printing of a given child element:
 *   @code
 *   {{ content|without('description') }}
 *   @endcode
 * - attributes: HTML attributes for the wrapper.
 * - page: Flag for the full page state.
 * - term: The taxonomy term entity, including:
 *   - id: The ID of the taxonomy term.
 *   - bundle: Machine name of the current vocabulary.
 * - view_mode: View mode, e.g. 'full', 'teaser', etc.
 *
 * @see template_preprocess_taxonomy_term()
 *
 * @ingroup themeable
 */
#}

{% set classes = [
    term.isPublished() ? '' : 'entity--unpublished',
    'entity',
    'entity--view-mode-' ~ view_mode|clean_class,
    'taxonomy-term',
    'taxonomy-term--bundle-' ~ term.bundle|clean_class,
  ]
%}

{% if view_mode != "full" and view_mode != "default" %}
  {% block teaser %}
    <div{{ attributes.addClass(classes) }}>
      {% block teaser_publication_message %}
        {% if not term.isPublished() %}
          {# Show message if node is not published #}
          {% include '@drowl_base/inc/unpublished_messages.html.twig' with {'type': 'label'} only %}
        {% endif %}
      {% endblock teaser_publication_message %}
      {% block teaser_content %}
        {{ content }}
      {% endblock teaser_content %}
    </div>
  {% endblock %}
{% else %}
  {# Full term or none defined view modes #}
  {% block full %}
    <div{{ attributes.addClass(classes) }}>
      {% block full_publication_message %}
        {% if not term.isPublished() %}
          {# Show message if node is not published #}
          {% include '@drowl_base/inc/unpublished_messages.html.twig' with {'type': 'message'} only %}
        {% endif %}
      {% endblock full_publication_message %}
      {{ title_suffix.contextual_links }}
      {% block full_content %}
        {{ content }}
      {% endblock full_content %}
    </div>
  {% endblock full %}{# full_content #}
{% endif %}
